Skip to Content
AccoilAccoil Developer Docs

Ingress API

Send user, account, and event data into Accoil for processing.

The Ingress API accepts identify, group, and track calls. All requests are sent to:

https://in.accoil.com

All ingress requests are processed asynchronously and return 202 Accepted.

Authentication

v2 endpoints (recommended): Include your API key in the Authorization header using Basic authentication:

Authorization: Basic YOUR_API_KEY

v1 endpoints (legacy): Include your API key in the request body as the api_key field.

Your Ingress API key is found in the Accoil dashboard under Account > General settings. Each product has its own key.

Endpoints

EndpointDescription
POST /v2/identifyIdentify a user and set their traits
POST /v2/groupAssociate a user with an account and set account traits
POST /v2/trackRecord a user event

Legacy v1 endpoints are also available under Legacy (v1).

On this page